GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::SecureServerCredentials Class Reference

`#include <secure_server_credentials.h>`

## Public Member Functions
| SecureServerCredentials (grpc_server_credentials *creds)
| ~SecureServerCredentials () GRPC_OVERRIDE
int | AddPortToServer (const grpc::string &addr, grpc_server *server) GRPC_OVERRIDE
Public Member Functions inherited from grpc::ServerCredentials
virtual | ~ServerCredentials ()

## Constructor & Destructor Documentation

grpc::SecureServerCredentials::SecureServerCredentials | ( | grpc_server_credentials * | creds | ) |
| inline explicit

grpc::SecureServerCredentials::~SecureServerCredentials | ( |  | ) |
| inline

## Member Function Documentation

int grpc::SecureServerCredentials::AddPortToServer | ( | const grpc::string & | addr,
|  | grpc_server * | server
| ) |  |
| virtual

Implements grpc::ServerCredentials.

The documentation for this class was generated from the following files:

- src/cpp/server/secure_server_credentials.h
- src/cpp/server/secure_server_credentials.cc